## qtremoteobjects-everywhere-src 5.15.2

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

expect_pass(test_qremoteobjects_module)
expect_pass(test_cmake_macros)

=== tests/auto/cmake/test_qremoteobjects_module/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_qremoteobjects_module)

find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Network REQUIRED)

find_package(Qt5RemoteObjects REQUIRED)

include_directories(
    ${Qt5RemoteObjects_INCLUDE_DIRS}
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5Network_INCLUDE_DIRS}
)

add_definitions(
    ${Qt5RemoteObjects_DEFINITIONS}
    ${QtCore_DEFINITIONS}
    ${Qt5Network_DEFINITIONS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS} ${Qt5Network_EXECUTABLE_COMPILE_FLAGS} ${Qt5Replicant_EXECUTABLE_COMPILE_FLAGS}")

add_executable(mainapp main.cpp)

target_link_libraries(mainapp
    ${Qt5RemoteObjects_LIBRARIES}
    ${Qt5Core_LIBRARIES}
    ${Qt5Network_LIBRARIES}
)

## qtremoteobjects-everywhere-src 5.12.5

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.12.5-2) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Team upload
  * Upload to unstable
  * Do not run tests in parallel
    - Parallelized test runs currently fail. By running tests in
      sequence we can make test failures fatal again.
  * Bump standards version (No changes needed)

  [ Dmitry Shachnev ]
  * Mention qt5-assistant in the qtremoteobjects5-doc description,
    instead of qttools5-dev-tools.
  * Update symbols files from buildds’ logs.

 -- Matthias Klumpp <mak@debian.org>  Sat, 15 Feb 2020 22:54:28 +0100

qtremoteobjects-everywhere-src (5.12.5-1) experimental; urgency=medium

  [ Alexander Volkov ]
  * Initial release (closes: #944536).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Dec 2019 22:09:35 +0300

=== debian/control ===
Source: qtremoteobjects-everywhere-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper-compat (= 12),
               pkg-kde-tools,
               qml-module-qttest (>= 5.12.5~),
               qtbase5-dev (>= 5.12.5+dfsg~),
               qtbase5-private-dev (>= 5.12.5+dfsg~),
               qtdeclarative5-dev (>= 5.12.5~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>
Standards-Version: 4.5.0
Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects

Package: libqt5remoteobjects5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5remoteobjects5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: Qt module for IPC — development files
 The Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the development files for qtremoteobjects.

Package: libqt5remoteobjects5-bin
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libqt5remoteobjects5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt module for IPC — the Replica Compiler (repc)
 The Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 The Replica Compiler (repc) generates QObject header files based on an API
 definition file.

Package: libqt5remoteobjects5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt module for IPC
 The Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the shared library for Qt Remote Objects.

Package: qml-module-qtremoteobjects
Architecture: any
Multi-Arch: same
Depends: qml-module-qtquick2 (>= 5.8), ${misc:Depends}, ${shlibs:Depends}
Description: Qt module for IPC — QML binding
 The Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package provides the QML module for Qt Remote Objects, which can be
 used from QML as “import QtRemoteObjects 5.12”.

Package: qtremoteobjects5-examples
Section: x11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Remote Objects examples
 The Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains Qt 5 Remote Objects examples.

Package: qtremoteobjects5-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt Remote Objects QCH documentation
 The Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the documentation in QCH format, which can be
 viewed using Qt Assistant from qt5-assistant package.

Package: qtremoteobjects5-doc-html
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt Remote Objects HTML documentation
 The Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the documentation in HTML format.

## qtremoteobjects-everywhere-src 5.12.8

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.12.8-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Bump Qt build-dependencies to 5.12.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Apr 2020 13:15:11 +0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: qtremoteobjects-everywhere-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 12),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.12.5~),
-               qtbase5-dev (>= 5.12.5+dfsg~),
-               qtbase5-private-dev (>= 5.12.5+dfsg~),
-               qtdeclarative5-dev (>= 5.12.5~),
+               qml-module-qttest (>= 5.12.8~),
+               qtbase5-dev (>= 5.12.8+dfsg~),
+               qtbase5-private-dev (>= 5.12.8+dfsg~),
+               qtdeclarative5-dev (>= 5.12.8~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
 Standards-Version: 4.5.0
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	$(MAKE) install_docs -Csrc INSTALL_ROOT=$(CURDIR)/debian/tmp

override_dh_auto_install-arch:
	dh_auto_install

	# Reproducible builds: remove build paths from prl files.
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5RemoteObjects.prl
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5RepParser.prl

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
	xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" \
		dh_auto_test --no-parallel -- -Ctests/auto LD_LIBRARY_PATH=$(CURDIR)/lib \
		QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
endif

override_dh_auto_test-indep:

=== debian/watch ===
version=4

opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtremoteobjects-everywhere-src-([^-]*)\.tar\.xz

## qtremoteobjects-everywhere-src 5.14.2

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 12:39:29 +0300

qtremoteobjects-everywhere-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now the default.
  * Remove -Wl,--as-needed flag, it is the default in Bullseye.
  * Add a build-dependency on qtdeclarative5-private-dev.
  * Add Qt_5.13 and Qt_5.14 tags to debian/libqt5remoteobjects5.symbols.
  * Make libqt5remoteobjects5-dev depend on -bin (closes: #953431).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 May 2020 21:23:21 +0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: qtremoteobjects-everywhere-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.12.8~),
-               qtbase5-dev (>= 5.12.8+dfsg~),
-               qtbase5-private-dev (>= 5.12.8+dfsg~),
-               qtdeclarative5-dev (>= 5.12.8~),
+               qml-module-qttest (>= 5.14.2+dfsg~),
+               qtbase5-dev (>= 5.14.2+dfsg~),
+               qtbase5-private-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
 Standards-Version: 4.5.0
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git
@@ -25,6 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libqt5remoteobjects5 (= ${binary:Version}),
+         libqt5remoteobjects5-bin (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends}
 Description: Qt module for IPC — development files

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 export QT_SELECT := qt5
 
 %:
@@ -26,9 +26,6 @@
 	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5RemoteObjects.prl
 	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5RepParser.prl
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root

## qtremoteobjects-everywhere-src 5.15.2

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:09 +0300

qtremoteobjects-everywhere-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Nov 2020 21:37:33 +0300

qtremoteobjects-everywhere-src (5.15.1-2) unstable; urgency=medium

  * Update debian/libqt5remoteobjects5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:49 +0300

qtremoteobjects-everywhere-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Stop checking for nocheck build option in test target, no longer needed.
  * Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Update debian/copyright.
  * Update debian/libqt5remoteobjects5.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Sep 2020 20:29:16 +0300

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.14.2+dfsg~),
-               qtbase5-dev (>= 5.14.2+dfsg~),
-               qtbase5-private-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
+               qml-module-qttest (>= 5.15.2+dfsg~),
+               qtbase5-dev (>= 5.15.2+dfsg~),
+               qtbase5-private-dev (>= 5.15.2+dfsg~),
+               qtdeclarative5-dev (>= 5.15.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
-Standards-Version: 4.5.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
+Standards-Version: 4.5.1
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects

## qtremoteobjects-everywhere-src 5.15.3

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2022 19:09:20 +0300

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.2+dfsg~),
-               qtbase5-dev (>= 5.15.2+dfsg~),
-               qtbase5-private-dev (>= 5.15.2+dfsg~),
-               qtdeclarative5-dev (>= 5.15.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.2+dfsg~),
+               qml-module-qttest (>= 5.15.3+dfsg~),
+               qtbase5-dev (>= 5.15.3+dfsg~),
+               qtbase5-private-dev (>= 5.15.3+dfsg~),
+               qtdeclarative5-dev (>= 5.15.3+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.3+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
-Standards-Version: 4.5.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
+Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects

=== debian/rules ===
--- 
+++ 
@@ -27,11 +27,9 @@
 	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5RepParser.prl
 
 override_dh_auto_test-arch:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
 	xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" \
 		dh_auto_test --no-parallel -- -Ctests/auto LD_LIBRARY_PATH=$(CURDIR)/lib \
 		QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
-endif
 
 override_dh_auto_test-indep:

## qtremoteobjects-everywhere-src 5.15.5

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Jul 2022 21:18:58 +0300

qtremoteobjects-everywhere-src (5.15.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:41 +0300

qtremoteobjects-everywhere-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 14:19:59 +0300

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.3+dfsg~),
-               qtbase5-dev (>= 5.15.3+dfsg~),
-               qtbase5-private-dev (>= 5.15.3+dfsg~),
-               qtdeclarative5-dev (>= 5.15.3+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.3+dfsg~),
+               qml-module-qttest (>= 5.15.5+dfsg~),
+               qtbase5-dev (>= 5.15.5+dfsg~),
+               qtbase5-private-dev (>= 5.15.5+dfsg~),
+               qtdeclarative5-dev (>= 5.15.5+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.5+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
-Standards-Version: 4.6.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.5~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.5~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.5~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.5+dfsg~) <!nodoc>
+Standards-Version: 4.6.1
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects

## qtremoteobjects-everywhere-src 5.15.6

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 13:51:24 +0300

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.5+dfsg~),
-               qtbase5-dev (>= 5.15.5+dfsg~),
-               qtbase5-private-dev (>= 5.15.5+dfsg~),
-               qtdeclarative5-dev (>= 5.15.5+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.5+dfsg~),
+               qml-module-qttest (>= 5.15.6+dfsg~),
+               qtbase5-dev (>= 5.15.6+dfsg~),
+               qtbase5-private-dev (>= 5.15.6+dfsg~),
+               qtdeclarative5-dev (>= 5.15.6+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.5~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.5~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.5~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.5+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
 Standards-Version: 4.6.1
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git

## qtremoteobjects-everywhere-src 5.15.8

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:01:59 +0400

qtremoteobjects-everywhere-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Jan 2023 17:55:10 +0400

qtremoteobjects-everywhere-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:24 +0300

qtremoteobjects-everywhere-src (5.15.7-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Dec 2022 14:22:26 +0300

qtremoteobjects-everywhere-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:48 +0300

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.6+dfsg~),
-               qtbase5-dev (>= 5.15.6+dfsg~),
-               qtbase5-private-dev (>= 5.15.6+dfsg~),
-               qtdeclarative5-dev (>= 5.15.6+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
+               qml-module-qttest (>= 5.15.8+dfsg~),
+               qtbase5-dev (>= 5.15.8+dfsg~),
+               qtbase5-private-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.8+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
-Standards-Version: 4.6.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects

## qtremoteobjects-everywhere-src 5.15.9

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 21:07:17 +0300

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.8+dfsg~),
-               qtbase5-dev (>= 5.15.8+dfsg~),
-               qtbase5-private-dev (>= 5.15.8+dfsg~),
-               qtdeclarative5-dev (>= 5.15.8+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.8+dfsg~),
+               qml-module-qttest (>= 5.15.9+dfsg~),
+               qtbase5-dev (>= 5.15.9+dfsg~),
+               qtbase5-private-dev (>= 5.15.9+dfsg~),
+               qtdeclarative5-dev (>= 5.15.9+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.9+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.9~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.9~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.9~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.9+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git

## qtremoteobjects-everywhere-src 5.15.10

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.10-3deepin1) unstable; urgency=medium

  * update build-depends 5.15.8.

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 19 Apr 2024 16:14:52 +0800

qtremoteobjects-everywhere-src (5.15.10-3) unstable; urgency=medium

  * Regenerate the certificates used in tests and examples with a longer
    validity period (closes: #1057357, thanks Santiago Vila).
  * Improve debian/clean file (closes: #1047190).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Dec 2023 18:06:17 +0300

qtremoteobjects-everywhere-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:16:26 +0300

qtremoteobjects-everywhere-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Jun 2023 17:18:51 +0300

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.9+dfsg~),
-               qtbase5-dev (>= 5.15.9+dfsg~),
-               qtbase5-private-dev (>= 5.15.9+dfsg~),
-               qtdeclarative5-dev (>= 5.15.9+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.9+dfsg~),
+               qml-module-qttest (>= 5.15.8~),
+               qtbase5-dev (>= 5.15.8~),
+               qtbase5-private-dev (>= 5.15.8~),
+               qtdeclarative5-dev (>= 5.15.8~),
+               qtdeclarative5-private-dev (>= 5.15.8~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.9~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.9~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.9~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.9+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.8~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git

## qtremoteobjects-everywhere-src 5.15.13

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.13-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 Mar 2024 20:10:02 +0300

qtremoteobjects-everywhere-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 01:04:34 +0300

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.8~),
-               qtbase5-dev (>= 5.15.8~),
-               qtbase5-private-dev (>= 5.15.8~),
-               qtdeclarative5-dev (>= 5.15.8~),
-               qtdeclarative5-private-dev (>= 5.15.8~),
+               qml-module-qttest (>= 5.15.13+dfsg~),
+               qtbase5-dev (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git

=== debian/watch ===
version=4

opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/qtremoteobjects-everywhere-opensource-src-([^-]*)\.tar\.xz

## qtremoteobjects-everywhere-src 5.15.15

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.15-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Sep 2024 12:21:57 +0300

qtremoteobjects-everywhere-src (5.15.13-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:49:40 +0300

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.13+dfsg~),
-               qtbase5-dev (>= 5.15.13+dfsg~),
-               qtbase5-private-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
+               qml-module-qttest (>= 5.15.15+dfsg~),
+               qtbase5-dev (>= 5.15.15+dfsg~),
+               qtbase5-private-dev (>= 5.15.15+dfsg~),
+               qtdeclarative5-dev (>= 5.15.15+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
-Standards-Version: 4.6.2
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
+Standards-Version: 4.7.0
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects

## qtremoteobjects-everywhere-src 5.15.17+p24.04+vrelease+git20250828.1414

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.17+p24.04+vrelease+git20250828.1414-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 14:14:52 +0000

qtremoteobjects-everywhere-src (5.15.17-0neon) noble; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtremoteobjects-everywhere-src (5.15.13-0neon) UNRELEASED; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.

  [ Jonathan Riddell ]
  * New rebase

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 31 Oct 2022 13:04:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: qtremoteobjects-everywhere-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.15+dfsg~),
-               qtbase5-dev (>= 5.15.15+dfsg~),
-               qtbase5-private-dev (>= 5.15.15+dfsg~),
-               qtdeclarative5-dev (>= 5.15.15+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
+               qml-module-qttest (>= 5.15.5+dfsg~),
+               qtbase5-dev (>= 5.15.5+dfsg~),
+               qtbase5-private-dev (>= 5.15.5+dfsg~),
+               qtdeclarative5-dev (>= 5.15.5+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.5+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
-Standards-Version: 4.7.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.5~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.5~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.5~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.5+dfsg~) <!nodoc>
+Standards-Version: 4.6.1
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtremoteobjects
+Vcs-Git: https://invent.kde.org/neon/qt/qtremoteobjects.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtremoteobjects
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libqt5remoteobjects5-dev
 Section: libdevel

## qtremoteobjects-everywhere-src 5.15.17+p24.04+vstable+git20250828.1439

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.17+p24.04+vstable+git20250828.1439-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 14:39:11 +0000

## qtremoteobjects-everywhere-src 5.15.17+p24.04+vunstable+git20250828.1439

=== debian/changelog ===
qtremoteobjects-everywhere-src (5.15.17+p24.04+vunstable+git20250828.1439-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 14:39:10 +0000

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.5+dfsg~),
-               qtbase5-dev (>= 5.15.5+dfsg~),
-               qtbase5-private-dev (>= 5.15.5+dfsg~),
-               qtdeclarative5-dev (>= 5.15.5+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.5+dfsg~),
+               qml-module-qttest (>= 5.15.13+dfsg~),
+               qtbase5-dev (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.5~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.5~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.5~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.5+dfsg~) <!nodoc>
-Standards-Version: 4.6.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtremoteobjects-index.html
 Vcs-Git: https://invent.kde.org/neon/qt/qtremoteobjects.git
 Vcs-Browser: https://invent.kde.org/neon/qt/qtremoteobjects
